Voice
List voice audio
Required scope: voice:read
Lists a project’s audio assets, newest first.
GET
/
platform
/
voice
/
audio
List voice audio
curl --request GET \
--url https://api.polymorfa.com/platform/voice/audio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/voice/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/voice/audio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/voice/audio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "upload",
"status": "pending_upload",
"failureReason": "unsupported_format",
"originalFormat": "mp3",
"originalContentType": "<string>",
"sizeBytes": 123,
"durationMs": 123,
"contentSha256": "<string>",
"tts": {
"provider": "elevenlabs",
"voiceId": "<string>",
"model": "<string>",
"text": "<string>",
"characters": 123,
"keySource": "managed",
"credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"retentionDays": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"inUseCount": 123,
"revision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_parameter",
"message": "Correct the invalid request field.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-parameter"
}{
"error": {
"type": "authentication_error",
"code": "invalid_credential",
"message": "Supply a valid credential.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-credential"
}{
"error": {
"type": "permission_error",
"code": "permission_denied",
"message": "The credential does not have access to this resource.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#permission-denied"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "The resource is unavailable to this caller.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#resource-not-found"
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected service failure occurred. Keep the request ID for support.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#internal-error"
}Authorizations
Send your team API key or project token as Authorization: Bearer <token>. The credential must have the required permissions. Project tokens can access only their own project.
Query Parameters
Identifier of the Polymorfa project that owns this resource.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | uuid |
| Project whose assets are listed. Required for organization keys. |
Current status of this resource or operation.
Allowed values
| Value | Meaning |
|---|---|
pending_upload | Pending upload. |
uploaded | Uploaded. |
transcoding | Transcoding. |
ready | Ready. |
failed | Failed. |
pending_upload: waiting for the file. uploaded and transcoding: being converted. ready: usable. failed: see failureReason. Treat unknown values as failed. |
Available options:
pending_upload, uploaded, transcoding, ready, failed Specifies cursor for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| String length | At most 200 characters |
page.nextCursor of the previous page. |
Maximum string length:
200Specifies limit for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| Numeric value | 1 through 100 (inclusive) |
| 1 to 100. Defaults to 50. |
Required range:
1 <= x <= 100Response
A page of audio assets.
Whether the request succeeded.
Allowed values
| Value | Meaning |
|---|---|
true | True. |
Available options:
true Structured data carried by this object.
Show child attributes
Show child attributes
Specifies page for this management platform access list voice audio response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List voice audio
curl --request GET \
--url https://api.polymorfa.com/platform/voice/audio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/voice/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/voice/audio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/voice/audio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "upload",
"status": "pending_upload",
"failureReason": "unsupported_format",
"originalFormat": "mp3",
"originalContentType": "<string>",
"sizeBytes": 123,
"durationMs": 123,
"contentSha256": "<string>",
"tts": {
"provider": "elevenlabs",
"voiceId": "<string>",
"model": "<string>",
"text": "<string>",
"characters": 123,
"keySource": "managed",
"credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"retentionDays": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"inUseCount": 123,
"revision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_parameter",
"message": "Correct the invalid request field.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-parameter"
}{
"error": {
"type": "authentication_error",
"code": "invalid_credential",
"message": "Supply a valid credential.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-credential"
}{
"error": {
"type": "permission_error",
"code": "permission_denied",
"message": "The credential does not have access to this resource.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#permission-denied"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "The resource is unavailable to this caller.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#resource-not-found"
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected service failure occurred. Keep the request ID for support.",
"param": null,
"request_id": "5f0c2a8e-3b1d-4c6f-9e2a-7d4b1c8f6a30"
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#internal-error"
}